package com.game.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.game.business.domain.AppGameLottery;

import java.util.List;

/**
 * 游戏开奖记录业务接口
 */
public interface IAppGameLotteryService extends IService<AppGameLottery> {

    long selectCount(Long classId, Long gameId, String gameDate);

    AppGameLottery selectLottery(Long classId, Long gameId, String gameDate);

    boolean save(AppGameLottery appGameLottery);

    /**
     * 查询游戏开奖记录
     *
     * @param id 游戏开奖记录主键
     * @return 游戏开奖记录
     */
    public AppGameLottery selectAppGameLotteryById(Long id);

    /**
     * 查询游戏开奖记录列表
     *
     * @param appGameLottery 游戏开奖记录
     * @return 游戏开奖记录集合
     */
    public List<AppGameLottery> selectAppGameLotteryList(AppGameLottery appGameLottery);

    /**
     * 新增游戏开奖记录
     *
     * @param appGameLottery 游戏开奖记录
     * @return 结果
     */
    public int insertAppGameLottery(AppGameLottery appGameLottery);

    /**
     * 修改游戏开奖记录
     *
     * @param appGameLottery 游戏开奖记录
     * @return 结果
     */
    public int updateAppGameLottery(AppGameLottery appGameLottery);

    /**
     * 批量删除游戏开奖记录
     *
     * @param ids 需要删除的游戏开奖记录主键集合
     * @return 结果
     */
    public int deleteAppGameLotteryByIds(Long[] ids);

    /**
     * 删除游戏开奖记录信息
     *
     * @param id 游戏开奖记录主键
     * @return 结果
     */
    public int deleteAppGameLotteryById(Long id);
}
